| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxInitializer Class Reference
Application and Process Management

`#include <wx/init.h>`

## Detailed Description

Create an object of this class on the stack to initialize/cleanup the library automatically.

##

Library: wxBase
Category: Application and Process Management

See Also
  wxGLContext

## Public Member Functions
| wxInitializer (int argc=0, wxChar **argv=NULL)
| Initializes the library.
bool | IsOk () const
| Has the initialization been successful? (explicit test)
| ~wxInitializer ()
| This dtor only does clean up if we initialized the library properly.

## Constructor & Destructor Documentation

wxInitializer::wxInitializer | ( | int | argc = `0`,
|  | wxChar ** | argv = `NULL`
| ) |  |

Initializes the library.

Calls wxInitialize().

wxInitializer::~wxInitializer | ( |  | ) |

This dtor only does clean up if we initialized the library properly.

Calls wxUninitialize().

## Member Function Documentation

bool wxInitializer::IsOk | ( |  | ) | const

Has the initialization been successful? (explicit test)